System.ServiceModel 4.0.0.0 System.Enum

The default value is .

Describes the layout of the security header.

- Field
  4.0.0.0
  System.ServiceModel.Channels.SecurityHeaderLayout

  Items are added to the security header in any order that confirms to WSS: SOAP Message security.

- Field
  4.0.0.0
  System.ServiceModel.Channels.SecurityHeaderLayout

  Items are added to the security header in any order that confirms to WSS: SOAP Message security except that the first element in the security header must be a wsse:Timestamp element.

- Field
  4.0.0.0
  System.ServiceModel.Channels.SecurityHeaderLayout

  Items are added to the security header in any order that confirms to WSS: SOAP Message security except that the last element in the security header must be a wsse:Timestamp element.

- Field
  4.0.0.0
  System.ServiceModel.Channels.SecurityHeaderLayout

  Items are added to the security header according to the general principle of “declare before use”.